curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/shopify' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Sync a trigger shopify
Sync job queued
POST
/
v1
/
tenants
/
{tenant_id}
/
sync
/
shopify
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/shopify' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Tenant identifier
Query parameters
string
Optional Shopify financial status filter
string
Optional Shopify fulfillment status filter
string
Optional Shopify order status filter
string
Optional Shopify since_id cursor override
string
Optional updated_at_min timestamp (RFC3339)
string
Optional updated_at_max timestamp (RFC3339)
integer (int32)
Optional page size (1-250)
Response
object
string (uuid)
required
Unique job identifier
string
required
Type of background job
string
required
Current job status
string (date-time)
required
Job creation timestamp
Status codes
| Code | Meaning |
|---|---|
202 | Sync job queued |
401 | Unauthorized |
422 | Validation error |
424 | Shopify integration not configured |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/shopify' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026